/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2011 Cassidian, an EADS company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */
package org.ow2.weblab.tools.maven;

import org.apache.maven.plugin.AbstractMojo;
import org.ow2.weblab.tools.maven.util.WebLabInterface;

/**
 * This plug-in allow to generate archetype contains WebLab's service(s)
 * 
 * @goal help
 * @requiresProject false
 */
public class WebLabHelp extends AbstractMojo {


	@Override
	public void execute() {
		this.getLog().info("------------------------------------------------------------------------");
		this.getLog().info("Help!");
		this.getLog().info(""); // keep [INFO] at the beginning of line
		this.getLog().info("The WebLab Archetype Plugin allows to generate WebLab web service(s).");
		this.getLog().info(""); // keep [INFO] at the beginning of line
		this.getLog().info("You can used \"generate\" goal and arguments :");
		this.getLog().info("-DserviceName      give the name of service(s) [required].");
		this.getLog().info("-DwebLabInterface  interface(s) to implemented [required].");
		this.getLog().info("-DartifactId       name of the artifact        [required].");
		this.getLog().info("-DgroupId          name of the groupId         [default: org.ow2.weblab.service].");
		this.getLog().info("-Dpackage          package of the artifact     [default: groupId value].");
		this.getLog().info("-Dversion          version of the artifact     [default: 1.0-SNAPSHOT].");
		this.getLog().info(""); // keep [INFO] at the beginning of line
		this.getLog().info("WebLab Web service(s) implement several interfaces which can be: ");
		for (final WebLabInterface interfaces : WebLabInterface.values()) {
			this.getLog().info(interfaces.ordinal() + 1 + " : " + interfaces.toString().toLowerCase());
		}
		this.getLog().info(""); // keep [INFO] at the beginning of line
		this.getLog().info("Good luck!");

	}

}